## org.apache.ivy.plugins.lock
Class AbstractLockStrategy

    java.lang.Object
      org.apache.ivy.plugins.lock.AbstractLockStrategy

All Implemented Interfaces:
  LockStrategy

Direct Known Subclasses:
  FileBasedLockStrategy, NoLockStrategy

    public abstract class AbstractLockStrategy

extends java.lang.Object
implements LockStrategy

Constructor Summary
`protected` `AbstractLockStrategy()`
`protected` `AbstractLockStrategy(boolean debugLocking)`

Method Summary
`java.lang.String` `getName()` Returns the name of the strategy
`boolean` `isDebugLocking()`
`void` `setName(java.lang.String name)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ivy.plugins.lock.LockStrategy
`lockArtifact, unlockArtifact`

Constructor Detail

### AbstractLockStrategy

    protected AbstractLockStrategy()

### AbstractLockStrategy

    protected AbstractLockStrategy(boolean debugLocking)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `LockStrategy`
  Returns the name of the strategy

  Specified by:
    `getName` in interface `LockStrategy`
  Returns:
    the name of the strategy

### setName

    public void setName(java.lang.String name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isDebugLocking

    public boolean isDebugLocking()